osl::hash::HashKey128Layout Struct Reference

`#include <hashKey.h>`

Inheritance diagram for osl::hash::HashKey128Layout:

## Public Attributes

uint64_t | board64
uint32_t | board32
uint32_t | piece_stand

## Detailed Description

Definition at line 27 of file hashKey.h.

## Member Data Documentation

## board32

uint32_t osl::hash::HashKey128Layout::board32

Definition at line 30 of file hashKey.h.

Referenced by osl::hash::HashKey128::boardKey(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::operator+=(), osl::hash::HashKey128::operator-=(), osl::hash::HashKey128::operator[](), osl::hash::HashKey128::setRandom(), and osl::hash::HashKey128::signature().

## board64

uint64_t osl::hash::HashKey128Layout::board64

Definition at line 29 of file hashKey.h.

Referenced by osl::hash::HashKey128::add(), osl::hash::HashKey128::boardKey(), osl::hash::HashKey128::boardKey64(), osl::hash::HashKey128::changeTurn(), osl::hash::HashKey128::hash64(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::operator+=(), osl::hash::HashKey128::operator-=(), osl::hash::HashKey128::operator[](), osl::hash::HashKey128::playerBit(), osl::hash::HashKey128::setPlayer(), and osl::hash::HashKey128::setRandom().

## piece_stand

uint32_t osl::hash::HashKey128Layout::piece_stand

Definition at line 30 of file hashKey.h.

Referenced by osl::hash::HashKey128::blackStand(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::HashKey128(), osl::hash::HashKey128::operator+=(), osl::hash::HashKey128::operator-=(), osl::hash::HashKey128::pieceStand(), and osl::hash::HashKey128::setPieceStand().

The documentation for this struct was generated from the following file:

- hashKey.h